FoldPainter (jEdit API Documentation)

Package org.gjt.sp.jedit.textarea

## Interface FoldPainter

- All Known Implementing Classes:
    `CircleFoldPainter`, `ShapedFoldPainter`, `SquareFoldPainter`, `TriangleFoldPainter`

      public interface FoldPainter

  FoldPainter defines the interface for fold painters in the gutter.
  Since:
    jEdit 4.3pre16

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `paintFoldEnd​(Gutter gutter, java.awt.Graphics2D gfx, int screenLine, int physicalLine, int y, int lineHeight, JEditBuffer buffer)` | Paints the end of a fold in the gutter.
    `void` | `paintFoldMiddle​(Gutter gutter, java.awt.Graphics2D gfx, int screenLine, int physicalLine, int y, int lineHeight, JEditBuffer buffer)` | Paints the middle of a fold (single line) in the gutter.
    `void` | `paintFoldStart​(Gutter gutter, java.awt.Graphics2D gfx, int screenLine, int physicalLine, boolean nextLineVisible, int y, int lineHeight, JEditBuffer buffer)` | Paints the beginning of a fold in the gutter.

- - ### Method Detail

    - #### paintFoldStart

          void paintFoldStart​(Gutter gutter,
                              java.awt.Graphics2D gfx,
                              int screenLine,
                              int physicalLine,
                              boolean nextLineVisible,
                              int y,
                              int lineHeight,
                              JEditBuffer buffer)

      Paints the beginning of a fold in the gutter.
      Parameters:
        `gutter` - The gutter in which the fold is drawn.
        `gfx` - The graphics object to use for the painting.
        `screenLine` - The index of the line on the screen (e.g. 5th from top).
        `physicalLine` - The index of the line in the buffer.
        `nextLineVisible` - Whether the next buffer line is visible on screen.
        `y` - The y coordinate of the top of the line on the screen.
        `lineHeight` - The line height in pixels.
        `buffer` - The buffer to which the line belongs.

    - #### paintFoldEnd

          void paintFoldEnd​(Gutter gutter,
                            java.awt.Graphics2D gfx,
                            int screenLine,
                            int physicalLine,
                            int y,
                            int lineHeight,
                            JEditBuffer buffer)

      Paints the end of a fold in the gutter.
      Parameters:
        `gutter` - The gutter in which the fold is drawn.
        `gfx` - The graphics object to use for the painting.
        `screenLine` - The index of the line on the screen (e.g. 5th from top).
        `physicalLine` - The index of the line in the buffer.
        `y` - The y coordinate of the top of the line on the screen.
        `lineHeight` - The line height in pixels.
        `buffer` - The buffer to which the line belongs.

    - #### paintFoldMiddle

          void paintFoldMiddle​(Gutter gutter,
                               java.awt.Graphics2D gfx,
                               int screenLine,
                               int physicalLine,
                               int y,
                               int lineHeight,
                               JEditBuffer buffer)

      Paints the middle of a fold (single line) in the gutter.
      Parameters:
        `gutter` - The gutter in which the fold is drawn.
        `gfx` - The graphics object to use for the painting.
        `screenLine` - The index of the line on the screen (e.g. 5th from top).
        `physicalLine` - The index of the line in the buffer.
        `y` - The y coordinate of the top of the line on the screen.
        `lineHeight` - The line height in pixels.
        `buffer` - The buffer to which the line belongs.